#
# Cookbook Name:: kosmos-mastodon
# Recipe:: pg_db
#

postgresql_data_bag_item = data_bag_item('credentials', 'postgresql')

postgresql_user 'mastodon' do
  action :create
  password postgresql_data_bag_item['mastodon_user_password']
end

postgresql_database 'mastodon' do
  owner 'mastodon'
  action :create
end

#
# Backup
#

unless node.chef_environment == "development"
  unless node["backup"]["postgresql"]["databases"].keys.include? 'mastodon'
    node.override["backup"]["postgresql"]["databases"]["mastodon"] = {
      username: "mastodon",
      password: postgresql_data_bag_item['mastodon_user_password']
    }
  end

  include_recipe "backup"
end
